package main;

import java.nio.file.FileSystems;

import search.BreadthFirst;
import search.DepthFirst;
import search.Search;
import Environment.Environment;

public class Main
{
	public static void main(String[] args)
	{
		Environment env;
		Search searcher;

		env = new Environment();
		env.buildEnvironmentFromFile(FileSystems.getDefault().getPath(".",
				"blatt3_environment.txt"));
		searcher = new DepthFirst();
		searcher.search(env.getStartTile());
		searcher.showPath();
		env.toConsole(searcher.getFoundPath());

		env = new Environment();
		env.buildEnvironmentFromFile(FileSystems.getDefault().getPath(".",
				"blatt3_environment.txt"));
		searcher = new BreadthFirst();
		searcher.search(env.getStartTile());
		searcher.showPath();
		env.toConsole(searcher.getFoundPath());

	}

}
